<?php
/**
 * 2008-today Mediacom87
 *
 * NOTICE OF LICENSE
 *
 * Read in the module
 *
 * @author    Mediacom87 <support@mediacom87.freshdesk.com>
 * @copyright 2008-today Mediacom87
 * @license   https://opensource.org/licenses/OSL-3.0 Open Software License (OSL 3.0)
 */

class CmsController extends CmsControllerCore
{
    public function getTemplateVarPage()
    {
        $page = parent::getTemplateVarPage();

        if (isset($this->cms->id)) {
            $page['canonical'] = $this->context->link->getCMSLink($this->cms, $this->cms->link_rewrite, $this->ssl);
        } elseif ($this->cms_category->id) {
            $page['canonical'] = $this->context->link->getCMSCategoryLink($this->cms_category, $this->cms_category->link_rewrite);
        }

        return $page;
    }
}
